Package org.apache.sling.distribution.serialization

## Interface DistributionContentSerializer

All Known Implementing Classes:
  `FileVaultContentSerializer`

    @ConsumerType
    public interface DistributionContentSerializer

A content serializer used to convert distribution payloads to and from binary streams.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `exportToStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver, DistributionExportOptions exportOptions, OutputStream outputStream)` extracts the resources identified by the given request into the given outputStream
`String` `getName()` retrieve the name of this content serializer
`void` `importFromStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver, InputStream inputStream)` imports the given stream
`boolean` `isRequestFiltering()` whether or not this `DistributionContentSerializer` can build package filters for including / excluding certain resources / attributes directly from a `DistributionRequest`

### Method Detail

#### exportToStream

    void exportToStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                        DistributionExportOptions exportOptions,
                        OutputStream outputStream)
                 throws DistributionException

extracts the resources identified by the given request into the given outputStream

Parameters:
  `resourceResolver` - the resource resolver used to access resources to export
  `exportOptions` - export options
  `outputStream` - the output stream
Throws:
  `DistributionException` - if extraction fails for some reason

#### importFromStream

    void importFromStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                          InputStream inputStream)
                   throws DistributionException

imports the given stream

Parameters:
  `resourceResolver` - the resource resolver used to write resources
  `inputStream` - the stream to import
Throws:
  `DistributionException` - if importing fails for some reason

#### getName

    String getName()

retrieve the name of this content serializer

Returns:
  the name of this content serializer

#### isRequestFiltering

    boolean isRequestFiltering()

whether or not this `DistributionContentSerializer` can build package filters for including / excluding certain resources / attributes directly from a `DistributionRequest`

Returns:
  `true` if it can build filters from a request, `false` otherwise